#pragma once
#ifndef PARSODUS_CONFIG_H
#define PARSODUS_CONFIG_H

#include "Parsodus/grammar.h"
#include "Parsodus/util/parserType.h"

namespace pds {

    enum class PrecedenceType {
        LEFT,
        RIGHT,
        NONASSOC
    };

    struct Config {
        util::ParserType parserType;
        std::string lexesisFile;
        Grammar grammar;
        std::map<std::string, std::pair<int, PrecedenceType> > precedence; ///< lower value -> higher precedence
    };

}

#endif //PARSODUS_CONFIG_H
